apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2024-12-30T05:47:05.910135029Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    original-ID: vm-27
    original-name: esx8-0-win2022-x86-64-efi
  resourceVersion: '78921792'
  name: esx8-0-win2022-x86-64-efi
  uid: 966af3e1-d9d4-465a-b2c2-02f3f702b6cd
  creationTimestamp: '2024-12-30T05:02:25Z'
  generation: 3
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:original-ID': {}
            'f:original-name': {}
          'f:labels':
            .: {}
            'f:migration': {}
            'f:plan': {}
            'f:vmID': {}
        'f:spec':
          .: {}
          'f:preference':
            .: {}
            'f:kind': {}
            'f:name': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:app': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:clock':
                  .: {}
                  'f:timezone': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                'f:devices':
                  .: {}
                  'f:disks': {}
                  'f:inputs': {}
                  'f:interfaces': {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:efi':
                      .: {}
                      'f:secureBoot': {}
                  'f:serial': {}
                'f:machine':
                  .: {}
                  'f:type': {}
                'f:memory':
                  .: {}
                  'f:guest': {}
                'f:resources':
                  .: {}
                  'f:requests':
                    .: {}
                    'f:memory': {}
              'f:networks': {}
              'f:volumes': {}
      manager: forklift-controller
      operation: Update
      time: '2024-12-30T05:02:25Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
        'f:spec':
          'f:preference':
            'f:revisionName': {}
      manager: virt-controller
      operation: Update
      time: '2024-12-30T05:02:25Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:running': {}
      manager: virt-api
      operation: Update
      time: '2024-12-30T05:47:05Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:created': {}
          'f:desiredGeneration': {}
          'f:observedGeneration': {}
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:volumeSnapshotStatuses': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2024-12-30T05:47:07Z'
  namespace: openshift-mtv
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    migration: 0856741e-77d6-41c2-abfc-6f1a9ab517a8
    plan: 3dba2e91-e334-4ba7-82b9-6757acf51f24
    vmID: vm-27
spec:
  preference:
    kind: virtualmachineclusterpreference
    name: windows.2k22
    revisionName: esx8-0-win2022-x86-64-efi-windows.2k22-0d61b6ae-f26e-4c2d-a41c-f36d5d261a40-2
  running: true
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: esx8-0-win2022-x86-64-efi
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 1
        devices:
          disks:
            - disk:
                bus: virtio
              name: vol-0
          inputs:
            - bus: virtio
              name: tablet
              type: tablet
          interfaces:
            - macAddress: '00:50:56:af:ca:12'
              masquerade: {}
              model: virtio
              name: net-0
        firmware:
          bootloader:
            efi:
              secureBoot: false
          serial: 422fe8b4-acbe-6683-6684-42a203e05246
        machine:
          type: q35
        memory:
          guest: 2Gi
        resources:
          requests:
            memory: 2Gi
      networks:
        - name: net-0
          pod: {}
      volumes:
        - name: vol-0
          persistentVolumeClaim:
            claimName: win2019-win2022-win2022-efi-vm-27-fr2lb
status:
  conditions:
    - lastProbeTime: '2024-12-30T05:47:07Z'
      lastTransitionTime: '2024-12-30T05:47:07Z'
      message: virt-launcher pod has not yet been scheduled
      reason: PodNotExists
      status: 'False'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: '2024-12-30T05:47:07Z'
      message: backend VM storage requires a backend storage class defined in the custom resource
      reason: FailedBackendStorageCreate
      status: 'False'
      type: Synchronized
  created: true
  desiredGeneration: 3
  observedGeneration: 3
  printableStatus: Starting
  runStrategy: Always
  volumeSnapshotStatuses:
    - enabled: false
      name: vol-0
      reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this StorageClass [hostpath-csi-local-1] [vol-0]'

